AlmaLinux 2260 Published by

A .NET Core 3.1 security and bugfix update has been released for AlmaLinux 8.



ALSA-2022:6912 Moderate: .NET Core 3.1 security and bugfix update


Type:
security

Severity:
moderate

Release date:
2022-10-19

Description
New versions of .NET that address a security vulnerability are now available. The updated versions are .NET SDK 3.1.424 and .NET Runtime 3.1.30.
Security Fix(es):
* dotnet: Nuget cache poisoning on Linux via world-writable cache directory (CVE-2022-41032)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
RHSA-2022:6912
CVE-2022-41032
ALSA-2022:6912

Updates packages:
dotnet-apphost-pack-3.1-3.1.30-1.el8_6.x86_64.rpm
dotnet-hostfxr-3.1-3.1.30-1.el8_6.x86_64.rpm
dotnet-templates-3.1-3.1.424-1.el8_6.x86_64.rpm
aspnetcore-targeting-pack-3.1-3.1.30-1.el8_6.x86_64.rpm
aspnetcore-runtime-3.1-3.1.30-1.el8_6.x86_64.rpm
dotnet-sdk-3.1-3.1.424-1.el8_6.x86_64.rpm
dotnet-runtime-3.1-3.1.30-1.el8_6.x86_64.rpm
dotnet-targeting-pack-3.1-3.1.30-1.el8_6.x86_64.rpm
dotnet-sdk-3.1-source-built-artifacts-3.1.424-1.el8_6.x86_64.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2022:6912 Moderate: .NET Core 3.1 security and bugfix update